from pathlib import Path

import nox

def _venv_package_dirs(session):
    """Return installed package dir pattern for use in .coveragerc"""
    envdir = Path(session.virtualenv.location).parent
    return f"{envdir}/*/lib/python*/site-packages/dummy"


@nox.session()
def unit(session):
    session.install(".", "-r", "test/requirements.txt")

    cov_file = f".coverage.{session.name}"
    print("COVERAGE_FILE:", cov_file)
    env = {"COVERAGE_FILE": cov_file, "VENV_PACKAGE_DIRS": _venv_package_dirs(session)}
    session.run("python", "-m", "pytest", "--cov-fail-under", "80", env=env)
