import os

from setuptools import setup


PROJECT_ROOT, _ = os.path.split(__file__)
PROJECT_NAME = 'dummy'
COPYRIGHT = u"Copyright (c) Dummy"
PROJECT_AUTHORS = u"Lars"
PROJECT_EMAILS = 'lhn@dummy'
PROJECT_URL = f"https://dummy.dk/{PROJECT_NAME}"
SHORT_DESCRIPTION = "Dummy."
LONG_DESCRIPTION = "Dummy"

TESTS_REQUIRE = open(os.path.join(PROJECT_ROOT, "test", "requirements.txt")).readlines()
PACKAGE_NAME = PROJECT_NAME.replace('-', '_')


if __name__ == "__main__":
    setup(
        name=PROJECT_NAME.lower(),
        author=PROJECT_AUTHORS,
        author_email=PROJECT_EMAILS,
        packages=[PACKAGE_NAME],
        package_dir={PACKAGE_NAME: 'src'},
        python_requires='>=3.6',
        zip_safe=False,
        include_package_data=True,
        install_requires=[],
        test_suite='test',
        tests_require=TESTS_REQUIRE,
        extras_require={
            'test': TESTS_REQUIRE,
        },
        url=PROJECT_URL,
        description=SHORT_DESCRIPTION,
        long_description=LONG_DESCRIPTION,
        long_description_content_type='text/x-rst',
        license='BSD',
        classifiers=[
            'Development Status :: 5 - Production/Stable',
            'Environment :: Console',
            'Intended Audience :: Developers',
            'Natural Language :: English',
            'Operating System :: OS Independent',
            'Programming Language :: Python :: 3.6',
            'Programming Language :: Python :: 3.7',
            'Programming Language :: Python :: 3.8',
            'Programming Language :: Python :: 3.9',
            'Programming Language :: Python :: 3.10',
            'Topic :: Software Development :: Programming',
        ],
    )
